Bug 205911 - Verbiste 0.1.16 package contains useless .in files
Verbiste 0.1.16 package contains useless .in files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: verbiste (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-09 23:06 EDT by Pierre Sarrazin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 22:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Sarrazin 2006-09-09 23:06:12 EDT
Description of problem:
The package verbiste-0.1.16-1.fc5.i386.rpm in Fedora Extras contains the .in
source for the manual pages (e.g., verbiste.3.in in addition to verbiste.3).  

The .in files are only useful to the person who compiles the package.  They are
processed by the ./configure script to produce the files without the .in suffix.

Version-Release number of selected component (if applicable):
0.1.16-1.fc5

Steps to Reproduce:
rpm -qpl verbiste-0.1.16-1.fc5.i386.rpm
  
Actual results:
/usr/share/doc/verbiste-0.1.16/fr/french-conjugator.1
/usr/share/doc/verbiste-0.1.16/fr/french-conjugator.1.in
/usr/share/doc/verbiste-0.1.16/fr/french-deconjugator.1
/usr/share/doc/verbiste-0.1.16/fr/french-deconjugator.1.in
/usr/share/doc/verbiste-0.1.16/fr/verbiste.3
/usr/share/doc/verbiste-0.1.16/fr/verbiste.3.in
/usr/share/doc/verbiste-0.1.16/french-conjugator.1
/usr/share/doc/verbiste-0.1.16/french-conjugator.1.in
/usr/share/doc/verbiste-0.1.16/french-deconjugator.1
/usr/share/doc/verbiste-0.1.16/french-deconjugator.1.in
/usr/share/doc/verbiste-0.1.16/verbiste.3
/usr/share/doc/verbiste-0.1.16/verbiste.3.in

Expected results:
No .in files.

Additional info:
The package also does not contain the COPYING file, which contains the license
(GPL), but this may be a matter of Fedora policy.  I am the author of Verbiste,
and I was comparing Fedora's RPM packaging of Verbiste to mine.  Project home
page: http://sarrazip.com/dev/verbiste.html
Comment 1 Konstantin Ryabitsev 2006-09-26 22:01:58 EDT
Thanks for the report -- your concerns should be addressed with the release of
0.1.16-2.

Note You need to log in before you can comment on or make changes to this bug.